This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 497534 - X crash when enabling compiz
X crash when enabling compiz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 10:16 EDT by Michal Schmidt
Modified: 2009-05-12 10:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 10:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (40.26 KB, text/plain)
2009-04-24 10:17 EDT, Michal Schmidt
no flags Details
Xorg.0.log with the backtrace (54.71 KB, text/plain)
2009-04-24 10:18 EDT, Michal Schmidt
no flags Details

  None (edit)
Description Michal Schmidt 2009-04-24 10:16:40 EDT
Description of problem:
I attempted to enable compiz using System -> Preferences -> Desktop Effects. X crashed instantly, putting me back to gdm login screen.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-6.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64
kernel-2.6.29.1-104.fc11.x86_64

How reproducible:
almost always

Steps to Reproduce:
1. Run desktop-effects
2. Push the button to enable the effects.
3. If by sheer luck you get to step 3, push the button again to disable the effects.
  
Actual results:
X will likely crash after step 2. If it does not, then it will almost certainly crash after step 3.

Expected results:
X should survive, with compiz running after step 2.

Additional info:
The hardware is ATI Technologies Inc RS690M [Radeon X1200 Series] [1002:791f] in a Toshiba Satellite Pro laptop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e9d26]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47de1f]
2: /lib64/libc.so.6 [0x3a88633570]
3: /usr/lib64/dri/r300_dri.so(radeonDestroyBuffer+0x40) [0x7f9ecce9aafb]
4: /usr/lib64/dri/r300_dri.so(radeonDestroyContext+0xdf) [0x7f9eccebd07e]
5: /usr/lib64/dri/r300_dri.so [0x7f9ecce94d7c]
6: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f9ece630c99]
7: /usr/lib64/xorg/modules/extensions//libglx.so(__glXFreeContext+0x6c) [0x7f9ece62683c]
8: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f9ece626bcb]
9: /usr/bin/Xorg(CallCallbacks+0x4c) [0x44b6ec]
10: /usr/bin/Xorg(CloseDownClient+0x58) [0x441ec8]
11: /usr/bin/Xorg(Dispatch+0x210) [0x447040]
12: /usr/bin/Xorg(main+0x3c5) [0x42d0e5]
13: /lib64/libc.so.6(__libc_start_main+0xfd) [0x3a8861e83d]
14: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Michal Schmidt 2009-04-24 10:17:37 EDT
Created attachment 341174 [details]
dmesg
Comment 2 Michal Schmidt 2009-04-24 10:18:43 EDT
Created attachment 341175 [details]
Xorg.0.log with the backtrace

I don't have a xorg.conf.
Comment 3 Michal Schmidt 2009-05-12 10:06:39 EDT
I can't it reproduce anymore with:
xorg-x11-drv-ati-6.12.2-12.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64
mesa-dri-drivers-7.5-0.14.fc11.x86_64
kernel-2.6.29.2-129.fc11.x86_64

Note You need to log in before you can comment on or make changes to this bug.